# isort: off
from .afdian import Afdian
from .base import Paysite, Service_Post, Service_User
from .boosty import Boosty
from .candfans import CandFans
from .discord import Discord
from .dlsite import DLSite
from .fanbox import Fanbox
from .fansly import Fansly
from .fantia import Fantia
from .gumroad import Gumroad
from .onlyfans import OnlyFans
from .patreon import Patreon
from .subscribestar import Subscribestar


# duplicated in /client/src/utils/_index.js

# nothing can be done about that (for now)
# short of refactoring into JSON file and URL templates
# but those have their own issues and sometimes can be way less readable
# than string interpolations for respective languages
# not to mention different libs are going to parse templates
# with all the subtle interop issues

class Paysites:
    afdian = Afdian()
    boosty = Boosty()
    discord = Discord()
    dlsite = DLSite()
    fanbox = Fanbox()
    fansly = Fansly()
    fantia = Fantia()
    gumroad = Gumroad()
    onlyfans = OnlyFans()
    patreon = Patreon()
    subscribestar = Subscribestar()
    candfans = CandFans()
